package com.alterdekim.hearthhack.component;

import com.alterdekim.hearthhack.dto.RoomPlayerDTO;
import com.alterdekim.hearthhack.service.UserService;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.ToString;
import lombok.extern.slf4j.Slf4j;

import java.util.List;

@ToString
@Slf4j
public class GameRoom {
    @Getter
    private final List<RoomPlayerDTO> players;

    private final UserService userService;

    @Getter
    private final String password;

    public GameRoom(List<RoomPlayerDTO> players, UserService userService, String password) {
        this.players = players;
        this.userService = userService;
        this.password = password;
        log.info("New GameRoom!");
    }
}
