package com.alterdekim.hearthhack.dto;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.ArrayList;
import java.util.List;

@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
public class RoomDTO {
    private Long id;

    private List<RoomPlayerDTO> players;

    private String roomPassword;

    public RoomDTO(String roomPassword) {
        this.players = new ArrayList<>();
        this.roomPassword = roomPassword;
    }
}
